<?php

require_once('func.php');
SQLConnect();

$user=check_user();

if ($user['level']>1) {
header("Location: norights.php");
die();
}

// Include the main TCPDF library (search for installation path).
require_once('tcpdf/tcpdf.php');

// extend TCPF with custom functions
class MYPDF extends TCPDF {

	// Load table data from file
	public function LoadData($file) {
		// Read file lines
		$lines = file($file);
		$data = array();
		foreach($lines as $line) {
			$data[] = explode(';', chop($line));
		}
		return $data;
	}

	// Colored table
	public function ColoredTable($header,$data) {
		// Colors, line width and bold font
		$this->SetFillColor(255, 0, 0);
		$this->SetTextColor(255);
		$this->SetDrawColor(128, 0, 0);
		$this->SetLineWidth(0.3);
		$this->SetFont('', 'B');
		// Header
		$w = array(40, 55, 30, 30, 25);
		$num_headers = count($header);
		for($i = 0; $i < $num_headers; ++$i) {
			$this->Cell($w[$i], 7, $header[$i], 1, 0, 'C', 1);
		}
		$this->Ln();
		// Color and font restoration
		$this->SetFillColor(224, 235, 255);
		$this->SetTextColor(0);
		$this->SetFont('');
		// Data
		$fill = 0;
		$szumma = 0;
		foreach($data as $row) {
			$this->Cell($w[0], 6, $row[0], 'LR', 0, 'L', $fill);
			$this->Cell($w[1], 6, $row[1], 'LR', 0, 'L', $fill);
			$this->Cell($w[2], 6, $row[2], 'LR', 0, 'R', $fill);
			$this->Cell($w[3], 6, $row[3], 'LR', 0, 'R', $fill);
			$this->Cell($w[4], 6, number_format($row[4],0,","," ")." Ft", 'LR', 0, 'R', $fill);
			$szumma+=$row[4];
			$this->Ln();
			$fill=!$fill;
		}
		$this->Cell(array_sum($w), 0, number_format($szumma,0,","," ")." Ft", 'TLRB',0,'R');
	}
}

// create new PDF document
$pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

// set document information
$pdf->SetCreator(PDF_CREATOR);
#$pdf->SetAuthor('Nicola Asuni');
#$pdf->SetTitle('TCPDF Example 011');
#$pdf->SetSubject('TCPDF Tutorial');
#$pdf->SetKeywords('TCPDF, PDF, example, test, guide');


// set default header data
$pdf->SetHeaderData(PDF_HEADER_LOGO, PDF_HEADER_LOGO_WIDTH, FOOTERTEXT, "Kimutatás");

// set header and footer fonts
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

// set default monospaced font
$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

// set auto page breaks
$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor
$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

// set some language-dependent strings (optional)
if (@file_exists(dirname(__FILE__).'/lang/hun.php')) {
	require_once(dirname(__FILE__).'/lang/hun.php');
	$pdf->setLanguageArray($l);
}

// ---------------------------------------------------------

// set font
$pdf->SetFont('dejavusans', '', 12);

// add a page
$pdf->AddPage();

// column titles
$header = array('Edző', 'Vendég', 'Dátum', 'Idő','Összeg');

// data loading
$user_id=getVar("user_id");
$guest_id=getVar("guest_id");
$date=getVar("date");
$timefrom=getVar("timefrom");

$query="SELECT CONCAT(lastname,' ',firstname) AS coachname,name,date,timefrom, amount FROM `trainings` LEFT JOIN users ON users.user_id=trainings.user_id LEFT JOIN guests ON guests.guest_id=trainings.guest_id WHERE 1 ";
	if ($user_id>0) { $query.= "AND trainings.user_id='$user_id' ";}
	if ($guest_id>0) { $query.= "AND trainings.guest_id='$guest_id' ";}
	if ($date>0) { $query.= "AND trainings.date='$date' ";}
	if ($timefrom>0) { $query.= "AND trainings.timefrom='$timefrom' ";}

	$query.=" ORDER BY date,timefrom";

	$data=FetchSQLBoth($query);


#$data = $pdf->LoadData('data/table_data_demo.txt');
#print_r($data);die();
// print colored table
$pdf->ColoredTable($header, $data);

// ---------------------------------------------------------

// close and output PDF document
$pdf->Output('kimutatas-'.date('Ymd-His').'.pdf', 'I');

//============================================================+
// END OF FILE
//============================================================+
